=== debian/changelog ===
ros-kinetic-ros-mynteye (0.2.2-1xenial) xenial; urgency=high

  * rename package

 -- John Zhao <johnzhao@slightech.com>  Sun, 03 Nov 2019 16:00:00 -0000

ros-kinetic-ros-mynteye (0.2.1-1xenial) xenial; urgency=high

  * update version

 -- John Zhao <johnzhao@slightech.com>  Sun, 03 Nov 2019 16:00:00 -0000

ros-kinetic-ros-mynteye (0.2.0-1xenial) xenial; urgency=high

  * update version

 -- John Zhao <johnzhao@slightech.com>  Sun, 03 Nov 2019 16:00:00 -0000

ros-kinetic-ros-mynteye (0.1.5-1xenial) xenial; urgency=high

  * SDK2.0

 -- John Zhao <johnzhao@slightech.com>  Sun, 03 Nov 2019 16:00:00 -0000

ros-kinetic-ros-mynteye (0.1.1-1xenial) xenial; urgency=high

  * modify package version

 -- John Zhao <johnzhao@slightech.com>  Wed, 05 Sep 2018 16:00:00 -0000

ros-kinetic-ros-mynteye (0.1.0-1xenial) xenial; urgency=high

  * first version

 -- John Zhao <johnzhao@slightech.com>  Tue, 04 Sep 2018 16:00:00 -0000
